/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: SpecificFieldMetadata.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.scan.api.metadata.specific;



/**
 * @param <SC> type of specific class metadata
 * @param <SM> type of specific method metadata
 * @param <SF> type of specific field metadata
 * @author Gael Lalire
 */
public abstract class SpecificFieldMetadata<
    SC extends ISpecificClassMetadata<SC, SM, SF>,
    SM extends ISpecificMethodMetadata<SC, SM, SF>,
    SF extends ISpecificFieldMetadata<SC, SM, SF>>
        extends SpecificCommonMetadata
        implements ISpecificFieldMetadata<SC, SM, SF> {

    /**
     * Parent metadata.
     */
    private SC classMetadata = null;

    /**
     * Constructor.
     * @param classMetadata the parent metadata.
     */
    public SpecificFieldMetadata(final SC classMetadata) {
        this.classMetadata = classMetadata;
    }

    /**
     * {@inheritDoc}
     */
    public SC getSpecificClassMetadata() {
        return classMetadata;
    }

}
